package com.qmth.eds.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.common.entity.ExamScheduleTask;

import java.util.List;

/**
 * 定时任务设置 服务类
 */
public interface ExamScheduleTaskService extends IService<ExamScheduleTask> {

    IPage<ExamScheduleTask> list(Long semesterId, Long examTypeId, Long startTime, Long endTime, Integer pageNumber, Integer pageSize);

    boolean saveTask(ExamScheduleTask examScheduleTask);

    List<ExamScheduleTask> listByCurrentDate();
}
