package com.qmth.eds.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.eds.bean.dto.CloudMarkingScoreDto;
import com.qmth.eds.common.entity.CloudMarkingScore;
import org.apache.ibatis.annotations.Param;

/**
 * 云阅卷成绩表 Mapper 接口
 */
public interface CloudMarkingScoreMapper extends BaseMapper<CloudMarkingScore> {

    IPage<CloudMarkingScoreDto> pageData(@Param("page") Page<CloudMarkingScoreDto> page, @Param("collegeId") Long collegeId, @Param("semesterId") Long semesterId, @Param("examTypeId") Long examTypeId, @Param("examId") String examId);
}
